Name:		i3status
Version:	2.10
Release:	%mkrel 1
Summary:	Generates a status line for dzen2 or wmii
Group:		Graphical desktop/Other
License:	MIT
URL:		http://i3wm.org/%{name}
Source0:	http://i3wm.org/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	libiw-devel
BuildRequires:	asciidoc
BuildRequires:	pkgconfig(libconfuse)
BuildRequires:	pkgconfig(libnl-genl-3.0)
# BuildRequires:  libAfterImage-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(yajl)

%description
i3status is a small program for filling dzen2 or wmii’s status bar via its 9P
pseudo filesystem.

%prep
%setup -q

sed \
    -e 's|CFLAGS+=-Wall -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare|CFLAGS+=%{optflags} -Wshadow -Wpointer-arith -Wcast-qual -Wsign-compare|g' \
    -e 's|CFLAGS+=-g|CFLAGS+=|g' \
    -e 's|@echo " CC $<"|@echo " $(CC) $(CFLAGS) -c -o $@ $<"|g' \
    -e 's|@echo " LD $@"|@echo " $(CC) -o $@ src/*.o *.o $(LDFLAGS)"|g' \
    -i Makefile

%build
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/
install -Dpm 0644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf

%files
%doc LICENSE
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_mandir}/man*/%{name}*


%changelog
* Fri Feb 19 2016 shlomif <shlomif> 2.10-1.mga6
+ Revision: 969935
- Add missing dep
- New version 2.10

* Thu Feb 11 2016 umeabot <umeabot> 2.9-2.mga6
+ Revision: 954338
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 shlomif <shlomif> 2.9-1.mga6
+ Revision: 841904
- New version 2.9

* Wed Oct 15 2014 umeabot <umeabot> 2.8-4.mga5
+ Revision: 742765
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.8-3.mga5
+ Revision: 680397
- Mageia 5 Mass Rebuild

* Mon Apr 07 2014 dams <dams> 2.8-2.mga5
+ Revision: 612715
- clean specfile to remove Fedora things

* Mon Apr 07 2014 shlomif <shlomif> 2.8-1.mga5
+ Revision: 612706
- Import i3status from Fedora

